## com.imcode.imcms.api
Class Category

    java.lang.Object
      com.imcode.imcms.api.Category

All Implemented Interfaces:
  java.lang.Comparable

    public class Category

extends java.lang.Object
implements java.lang.Comparable

Author:
  kreiger

Constructor Summary
`Category(java.lang.String name, CategoryType categoryType)`

Method Summary
`int` `compareTo(java.lang.Object o)`
`boolean` `equals(java.lang.Object o)`
`java.lang.String` `getDescription()`
`int` `getId()`
`java.lang.String` `getImage()`
`java.lang.String` `getName()`
`int` `hashCode()`
`void` `setDescription(java.lang.String description)`
`void` `setImage(java.lang.String imageUrl)`
`void` `setName(java.lang.String name)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Category

    public Category(java.lang.String name,
                    CategoryType categoryType)

Method Detail

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getDescription

    public java.lang.String getDescription()

### getId

    public int getId()

### getImage

    public java.lang.String getImage()

### setImage

    public void setImage(java.lang.String imageUrl)

### setDescription

    public void setDescription(java.lang.String description)

### compareTo

    public int compareTo(java.lang.Object o)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`